/*
 * Basic versioning gathered from the git repository.
 * Automatically generated by ./git_version.sh.
 */

#ifndef GIT_VERSION_H
#define GIT_VERSION_H 1

#include <stdint.h>

/* whether this is a dist tarball or not */
#undef GIT_IS_DIST

/* No errors occured while running git */
#undef GIT_ERRORS

/* git utilities found */
#undef GIT_NOT_FOUND
#define GIT_VERSION "git version 2.44.0"

/* The following helps debug why we sometimes do not find ".git/":
 * abs_repo_dir="/home/bero/crossbuild/packages/systemtap/.git" (should be "/path/to/.git")
 * abs_srcdir="/home/bero/crossbuild/packages/systemtap/BUILD/systemtap-5.0" (absolute top source dir "/path/to")
 * git_repo_dir="/home/bero/crossbuild/packages/systemtap/.git" (usually ".git" or "/path/to/.git")
 * PWD="/home/bero/crossbuild/packages/systemtap/BUILD/systemtap-5.0"
 * srcdir="."
 * working_dir="/home/bero/crossbuild/packages/systemtap/BUILD/systemtap-5.0"
 */

/* git repo found */
#define GIT_REPO 1

/* Full git SHA ID of last commit */
#define GIT_SHAID "15b6509c98d00b16e090627e602924d346fece71"

/* Short form of the above */
#define GIT_SHAID_SHORT "15b6509c"

/* Branch this tree is on */
#define GIT_BRANCH "master"

/* Remote URL this tree was cloned from */
#define GIT_REMOTE_URL "(no remote)"

/* Linear revision number from the repository */
#define GIT_BUILD "1"

/* Pretty git revision string for presenting to the user */
#define GIT_PRETTY_REV "15b6509c"

/* Timestamp of the current commit */
#define GIT_TIMESTAMP UINT64_C(1711585571)

/* SHA-ID uniquely defines the state of this code */
#undef GIT_DIRTY

/* Define GIT_MESSAGE such that
 *    printf("%s: built from %s", argv[0], GIT_MESSAGE);
 * forms a proper sentence.
 */

#ifdef GIT_DIRTY
# define GIT_DIRTY_MSG "-dirty"
#else /* !GIT_DIRTY */
# define GIT_DIRTY_MSG ""
#endif /* GIT_DIRTY */

#ifdef GIT_ERRORS
# define GIT_ERROR_MSG " with error: " GIT_ERRORS
#else /* !GIT_ERRORS */
# define GIT_ERROR_MSG ""
#endif /* GIT_ERRORS */

#ifdef GIT_IS_DIST
# define GIT_DIST_MSG "dist of "
#else /* !GIT_IS_DIST */
# define GIT_DIST_MSG ""
#endif /* GIT_IS_DIST */

#ifdef GIT_REPO
# ifdef GIT_NOT_FOUND
#  define GIT_MESSAGE GIT_DIST_MSG "git sources without git: " GIT_NOT_FOUND
# else /* !GIT_NOT_FOUND */
#  define GIT_MESSAGE \
       GIT_DIST_MSG \
       "git branch " GIT_BRANCH ", " \
       "url " GIT_REMOTE_URL ", " \
       "commit " GIT_SHAID GIT_DIRTY_MSG \
       GIT_ERROR_MSG
# endif /* GIT_NOT_FOUND */
#else /* !GIT_REPO */
# define GIT_MESSAGE GIT_DIST_MSG "non-git sources" GIT_ERROR_MSG
#endif /* GIT_REPO */

#endif /* GIT_VERSION_H */
